import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stec.servlet.http.*;

public class RecordComments extends HttpServlet
{
  public void doPost( HttpServletRequest req,
    HttpServletResponse res )
    throws ServletException, IOException
    {
      ServletOutputStream out = res.getOutputStream();
      String output = "Lets return to the main menu.";
      res.setContentType( "text/xml" );

      try
      {
        ServletContext context = getServletContext();
        String basedir = context.getRealPath( "./audio/" );
        File f = new File( basedir );
        f.mkdirs();

        Hashtable ht = MultiPartForm.parse( req,
          f.getCanonicalPath(), 1024*1024 );
      }
      catch( Exception e )
      {
        output = e.toString();
      }

      out.println("<?xml version=\"1.0\"?> " );
      out.println("<!--UploadComments.vxml-->");
      out.println("<vxml version=\"1.0\" application=\"BookStoreRoot.vxml\" >");
      out.println("<meta name=\"author\" content=\"Rick Beasley\"/>");
      out.println("<meta name=\"copyright\"");
      out.println("      content=\"Sams Publishing 2001\"/>");
      out.println("<meta name=\"description\"");
      out.println("      content=\"Upload a recorded audio file, ");
      out.println("               to access call (xxx)-xxx-xxxx\"/>");
      out.println("<meta name=\"keywords\" content=\"VoiceXML Sams Books\"/>");
      out.println("<meta name=\"maintainer\" content=\"beez@sams.net\"/>");
      out.println("<meta name=\"robots\" content=\"index,follow\"/>");
      out.println("<meta http-equiv=\"Date\"");
      out.println(" content=\"Thu, 7 Aug 2000 20:20:20 EST\"/>");
      out.println("<meta name=\"maintainer\" ");
      out.println("     content=\"johnoreilly@lucent.com\"/>");
      out.println("<meta name=\"application\" content=\"Book Store\"/>");
      out.println("  <form>" );
      out.println("    <block>");
      out.println("     "+output);
      out.println("      <goto next=\"http://localhost/WelcomeMenuProp.vxml\"/>");
      out.println("    </block>" );
      out.println("  </form>" );
      out.println("</vxml>");
    }
}
